Loading...

Get a Specific Object

Description

This API allows you to get a specific object stored in a bucket. The Bucket is referred by its unique bucket name, and the required object is referred using its name.

If Versioning is enabled, then the required object can also be referred to using its unique version ID.

Request Details

Request URL

GET

{api-domain}/baas/v1/project/{project_id}/bucket/object

copy

project_id
Numerical
The unique ID of the project

Query Parameters

bucket_name Alphanumeric
mandatory
object_key String
mandatory
Will contain the complete name of the object.
version_id String
optional
This is an ID generated by Stratus when Versioning is enabled. You can use version_id to refer to the required object.

Request Headers

Authorization: Zoho-oauthtoken {oauth_token}

Optional Headers

CATALYST-ORG: {org_id}

Environment: Development

Scope

ZohoCatalyst.buckets.objects.READ

Response Details

On successful execution, the response will contain the details of the requested object.

Sample Request
copy

curl -X GET https://api.catalyst.zoho.com/baas/v1/project/{projectID}/bucket/object?bucket_name={bucketName}&version_id={versionID}&object_key={objectPath} -H “Authorization: Zoho-oauthtoken 1000.910*************************16.2f*************************57”

Sample Response
copy
{
"status": "success",
"data": {
    "key": "Automl_LZ (1).csv",
    "size": 257,
    "content_type": "text/csv",
    "last_modified": "Dec 10, 2023 03:10 PM",
    "meta_data": {
    "automl_metakey": "metavalue"
    },
    "object_url": "https://gcpimport2-development.csezstratus.com/Automl_LZ%20(1).csv"
}
}
View more